#ifndef NALL_QT_CHECKACTION_HPP
#define NALL_QT_CHECKACTION_HPP

namespace nall {

class CheckAction : public QAction {
public:
  bool isChecked() const;
  void setChecked(bool);
  void toggleChecked();
  CheckAction(const QString&, QObject*);

protected:
  bool checked;
};

inline bool CheckAction::isChecked() const {
  return checked;
}

inline void CheckAction::setChecked(bool checked_) {
  checked = checked_;
  setIcon(QIcon(checked ? ":/16x16/item-check-on.png" : ":/16x16/item-check-off.png"));
}

inline void CheckAction::toggleChecked() {
  setChecked(!isChecked());
}

inline CheckAction::CheckAction(const QString& text, QObject* parent) : QAction(text, parent) {
  setChecked(false);
}

}

#endif
